{
  "custom": {},
  "params": {
    "boolean": "",
    "configuring": false,
    "endDateDuration": {
      "number": 24,
      "unit": "hour"
    },
    "equipmentPath": "New Enterprise\\Site 1\\Simulation Area\\Simulation Line",
    "timePeriod": "Current Shift",
    "title": "Schedule Selector"
  },
  "propConfig": {
    "params.boolean": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.configuring": {
      "onChange": {
        "enabled": null,
        "script": "#\tviewParams\u003dself.params\n#\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n#\tif currentValue.value:\n#\t\tconfigParams.titleIn \u003d viewParams.title\n#\telif previousValue is not None and previousValue.value:\n#\t\tviewParams.title \u003d configParams.titleOut\n\tviewParams\u003dself.params\n\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n\tif currentValue.value:\n\t\tconfigParams.titleIn \u003d viewParams.title\n\t\tconfigParams.equipmentPathIn \u003d viewParams.equipmentPath\n\t\tconfigParams.timePeriodIn \u003d viewParams.timePeriod\n\t\tconfigParams.endDateDurationIn.number \u003d viewParams.endDateDuration.number\n\t\tconfigParams.endDateDurationIn.unit \u003d viewParams.endDateDuration.unit\n\t\tconfigParams.booleanIn \u003d viewParams.boolean\n\telif previousValue is not None and previousValue.value:\n\t\tviewParams.title \u003d configParams.titleOut\n\t\tviewParams.equipmentPath \u003d configParams.equipmentPathOut\n\t\tviewParams.timePeriod \u003d configParams.timePeriodOut\n\t\tviewParams.endDateDuration.number \u003d configParams.endDateDurationOut.number\n\t\tviewParams.endDateDuration.unit \u003d configParams.endDateDurationOut.unit\n\t\tviewParams.boolean \u003d configParams.booleanOut"
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.endDateDuration": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.equipmentPath": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.timePeriod": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.title": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 312,
      "width": 1541
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "mesScheduleSelector"
            },
            "propConfig": {
              "props.endDate": {
                "binding": {
                  "config": {
                    "struct": {
                      "input": "{view.params.endDateDuration.number}",
                      "startDate": "{this.props.startDate}",
                      "unit": "{view.params.endDateDuration.unit}"
                    },
                    "waitOnAll": true
                  },
                  "overlayOptOut": true,
                  "transforms": [
                    {
                      "expression": "if({value}[\"input\"] !\u003d \u0027\u0027 \u0026\u0026 {value}[\"unit\"] !\u003d \u0027\u0027, dateArithmetic({value}[\"startDate\"],{value}[\"input\"],{value}[\"unit\"]),{value}[\"startDate\"])",
                      "type": "expression"
                    }
                  ],
                  "type": "expr-struct"
                }
              },
              "props.equipmentPath": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPath"
                  },
                  "type": "property"
                }
              },
              "props.startDate": {
                "binding": {
                  "config": {
                    "expression": "tag(runScript(\u0027shared.mes.schedule.getTagPathForTimePeriodStart\u0027,0, {view.params.timePeriod}, {view.params.equipmentPath}))"
                  },
                  "type": "expr"
                }
              },
              "props.toolbarTitle": {
                "binding": {
                  "config": {
                    "path": "view.params.title"
                  },
                  "transforms": [
                    {
                      "expression": "upper({value})",
                      "type": "expression"
                    }
                  ],
                  "type": "property"
                }
              }
            },
            "props": {
              "fillResizeMode": true,
              "style": {
                "overflow": "visible"
              },
              "tableColumns": [
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "description",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": "none",
                  "hidden": false,
                  "include": false,
                  "name": "description",
                  "order": 1,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Description",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "scheduledBegin",
                  "dataFormat": "yyyy-MM-dd HH:mm:ss",
                  "dataType": "date",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "scheduledBegin",
                  "order": 2,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Scheduled Begin",
                  "width": 90,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "scheduledEnd",
                  "dataFormat": "yyyy-MM-dd HH:mm:ss",
                  "dataType": "date",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "scheduledEnd",
                  "order": 3,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Scheduled End",
                  "width": 90,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "actualBegin",
                  "dataFormat": "yyyy-MM-dd HH:mm:ss",
                  "dataType": "date",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "actualBegin",
                  "order": 4,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Actual Begin",
                  "width": 90,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "actualEnd",
                  "dataFormat": "yyyy-MM-dd HH:mm:ss",
                  "dataType": "date",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "actualEnd",
                  "order": 5,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Actual End",
                  "width": 90,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "state",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "state",
                  "order": 6,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "State",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "center",
                  "alignVertical": "middle",
                  "columnName": "percentComplete",
                  "dataFormat": "0.00%",
                  "dataType": "number",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "percentComplete",
                  "order": 7,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Percent Complete",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "operationsRequestUuid",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": "none",
                  "hidden": false,
                  "include": false,
                  "name": "operationsRequestUuid",
                  "order": 8,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Operations Request UUID",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "operationsResponseUuid",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": "none",
                  "hidden": false,
                  "include": false,
                  "name": "operationsResponseUuid",
                  "order": 9,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Operations Response UUID",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "workOrderUuid",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": "none",
                  "hidden": false,
                  "include": false,
                  "name": "workOrderUuid",
                  "order": 10,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Work Order UUID",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "workOrder",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "workOrder",
                  "order": 11,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Work Order",
                  "width": 100,
                  "wordWrapEnabled": false
                }
              ],
              "toolbarStyle": {
                "backgroundColor": "#004A98",
                "fontFamily": "Roboto",
                "fontSize": 15,
                "fontWeight": "normal",
                "paddingLeft": 10
              }
            },
            "type": "mes.production.mesScheduleSelector"
          }
        ],
        "meta": {
          "name": "runtime"
        },
        "position": {
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "transforms": [
                {
                  "expression": "!{value}",
                  "type": "expression"
                }
              ],
              "type": "property"
            }
          }
        },
        "type": "ia.container.flex"
      },
      {
        "meta": {
          "name": "configuration"
        },
        "position": {
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "transforms": [
                {
                  "expression": "{value}",
                  "type": "expression"
                }
              ],
              "type": "property"
            }
          }
        },
        "props": {
          "params": {
            "booleanIn": "",
            "booleanOut": "",
            "endDateDurationIn": {
              "number": "1",
              "unit": "hour"
            },
            "endDateDurationOut": {
              "number": "1",
              "unit": "hour"
            },
            "equipmentPathIn": "New Enterprise\\Site 1\\Simulation Area\\Simulation Line",
            "equipmentPathOut": "",
            "timePeriodIn": "Current Shift",
            "timePeriodOut": "Current Shift",
            "titleIn": "Schedule Selector",
            "titleOut": "Schedule Selector"
          },
          "path": "Page/Widgets/Configuration/Schedule View Config"
        },
        "type": "ia.display.view"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}